import { ActualProvider, DependencyProvider, Factory } from '../types';
import { ILifetime } from './ILifetime';
export declare class Transient<T, E> implements ILifetime<T, E> {
    readonly dependency: DependencyProvider<T, E>;
    readonly providerName: string;
    private readonly factory;
    constructor(dependency: DependencyProvider<T, E>, providerName: string, factory: Factory<T, E>);
    provide(originalProvider: ActualProvider<E>): T;
}
